• Welcome to Final Fantasy Hacktics. Please login or sign up.
 

How to Patch an ISO With a PPF File

Started by Eternal, December 08, 2012, 01:55:48 pm

Jumza

What emulator are you using? I know emu's like ePSXe actually have a read CD-rom option and if you're clicking that but want to open a digital file it won't work :P But I bet that isn't your problem, just thought I'd mention it.

EDIT: *cough* and I should mention that we recommend against using ePSXe. Try just about any other emulator (or this forum's preferred pSX)
  • Modding version: PSX
Check out my project ~ FFT: A Stone's Ripple : http://ffhacktics.com/smf/index.php?topic=10857.0
The demo was just released! Come check it out!
Nyzer: Alma teleports out of her own possessed body.

Xujints

Let's see... I have the old PCSX (I think) and PCSXR. I managed to get the regular (Pre patch) .bin to work on PCSX, but none of the .bins work on PCSXR. I'm working on seeing if I can find alternatives.

Elric

They aren't in ecm format are they? If so you need to unecm them first.
  • Modding version: PSX
<@Angel> Teach a man to fish and he'll open up a fishery to compete against yours.


Journey of the Five Youtube ChannelThe Lion War Current Status
  
Jot5 Leader :: Eventer :: OtherTLW Leader :: Eventer :: Other

Xujints

February 09, 2016, 09:59:24 pm #23 Last Edit: February 09, 2016, 11:07:42 pm by Xujints
ecm format? I don't think so. I'm new in the whole emulator world... All I can really tell you is that they use the .bin extension, with one of them being an .img.

Also, Whoa! I knew you were around Elric, but I didn't expect you to show up and try to help solve this problem in the same day.

Edit: TO be more specific on my problems. I tried to play FFT on both PCSX(R)s and it starts up fine for the regular files. (Except R, which the screen is just black with no audio). But when I try to boot up the patched game for Journey of the 5, it says that it can't check the CD-Rom.

Elric

We normally run into this issue when there is some sort of problem with the Vanilla image being used (doesn't mean it won't work, just means Jot5 doesn't like it) Most people no longer have an issue after using a different image file.

You could also see if it runs on a different emulator like pSX (aka PSXFin) just to ensure that it's not emulator related.

Quote from: Xujints on February 09, 2016, 09:59:24 pm
Also, Whoa! I knew you were around Elric, but I didn't expect you to show up and try to help solve this problem in the same day.


Lol, I try.
  • Modding version: PSX
<@Angel> Teach a man to fish and he'll open up a fishery to compete against yours.


Journey of the Five Youtube ChannelThe Lion War Current Status
  
Jot5 Leader :: Eventer :: OtherTLW Leader :: Eventer :: Other

Angel

Also, older versions of PCSX and PCSX-R refuse to load a .bin without a matching .cue. The .cue can be completely empty with no data inside at all, but it will insist on there being a .cue present no matter what. Newer versions of PCSX-R no longer require a .cue because they realized PSX games don't seek by track to begin with.
  • Modding version: PSX
* Angel should quit being a lazy bitch
<@Elric> I agree to that as well

nyanyame nyanyajuu nyanyado no nyarabide nyakunyaku inyanyaku nyanyahan nyanyadai nyannyaku nyarabete nyaganyagame
At the end of the day, are we not all trapped inside lemons?

Xujints

I'm running on a Mac, so sadly I can't use all the different Emulators that everyone else is. Perhaps it just can't be done... I don't know.

Guru

hmm don't give up yet I have a couple of suggestions.... I'm not real familiar with mac but there are still 2 options I can think of.

Matter a fact after a quick search in the forums I found a tutorial for emulation on mac http://ffhacktics.com/smf/index.php?topic=7587.msg152749#msg152749
(there is also a lot more information if you search through the forums)

If you are following the steps on this it could be 3 problems.

1. bad iso. Get it from a different source and try again
2. Not current version of PCSX-R, which should all run fine on mac if I remember correctly ( Or other emulator problems, which you will be better off troubleshooting on a emulator site )
3. Patching program (which seems to be a common problem for mac...read comments in tutorial above) 

Since the original file won't run in PCSX-R at all I'd just start from scratch here and get the iso from a different source. If it still doesn't work then it's most likely a problem with the emulator. If you get the original working and it still won't play the patched file it's probably the patching program.

If nothing is working there is still option 2. Run a Virtual Machine software that can run windows files and just do the setup we use for windows. I don't know much about VM but I'm sure there is a ton of information out there on which ones to use. Someone here might even know more.

Wish I could help ya more but good luck!

Xujints

I see...

I don't think the iso is bad, as they work when I play them on my PSX. They are .bin files. I have one file that can be played on my PSX-R, which is an .img file... (Not sure what's up with that.) I'm confident I have the latest versions of my emulators, so I guess it'd be the patching program i'm using. I tried getting Patch o mattic... But I don't know what i'm doing, and I have a thing called multi patch, which seems to work fine, but when I patch my Bins and try to run them, they fail.

That's basically the gist of my problem and I can't seem to figure out what's wrong... I appreciate the fact that you guys are trying to help me, but I honestly don't know anything... And I grew up in the age of computers (Who hasn't these days)

Guru

February 10, 2016, 08:03:50 pm #29 Last Edit: February 10, 2016, 08:16:55 pm by Guru
If you have time hang out for a minute....I remember seeing a problem with the patcher you are using... I'll look it up again

Another note, don't be confident that your iso is good just because it plays

Quote from: from elric(doesn't mean it won't work, just means Jot5 doesn't like it)


and a quick search would confirm you have the newest version of pcsx-r

*Edit* it's in the link i posted in my last post....


QuoteThere is one thing to note though. If PPF-o-matic requires Rosetta, it will not work in Lion since Rosetta support has been completely dropped in Lion. Lion users should take a look at MultiPatch for their PPF patching needs.

Edit: Never mind. It seems like MultiPatch doesn't work too well. While ISOs patched with PPF-O-matic work fine in the emulator, PCSXR refuses to load any ISOs patched with MultiPatch. For the time being, I suggest Lion users patch any ISOs they need to using PPF-O-matic on Windows or an older version of OS X if they can.


Sorry this is as far as I can help you here. AFAIK you can look into finding the virtual machine software I was talking about and that should allow you to run ppf-o-matic and patch it that way (technically you could even use that to run any windows software including the emulator). I have no recommendations on the software you will have to do your own research unless someone else has more information

*another edit*

"Wine is another open-source program that can be used to run Windows apps on your Mac. But instead of creating a virtual machine that runs the full version of Windows, Wine inserts a kind of 'compatibility layer' between individual Windows apps and the Mac operating system." Another option

Elric

As I mentioned, I'm 99% sure that your ISO is the culprit (BIN/ISO/IMG is all the same thing, format doesn't matter). The fact that it works before patch also doesn't matter. I've seen this issue many times and I suggest you find another image file in some way and try that.

As said before, this is NOT the first time this EXACT issue has happened. Chances are that is has nothing to do with your computer or emulator, but instead is an issue with the image and/or how it is patching. We have LPs of people playing JotF on Mac, so that is not the issue...
  • Modding version: PSX
<@Angel> Teach a man to fish and he'll open up a fishery to compete against yours.


Journey of the Five Youtube ChannelThe Lion War Current Status
  
Jot5 Leader :: Eventer :: OtherTLW Leader :: Eventer :: Other

Guru

also I did a little research and there is a version of ppf-o-matic specifically designed for mac and is in the mac store and all over the internet. So scratch what I said earlier(besides not using multipatcher)

Xujints

Multipatch is not good right? Okay. I did a little digging on my app store and sadly, PPF-o-Matic doesn't seem to exist... How odd, considering there are mentions of it elsewhere on google, but when I try to investigate further, it doesn't exist there either... It's strange. And then I looked at what was recommended in those links from a bit ago. It said to get the .dmg version because exe doesn't work on Mac. I downloaded it and tool a look and it said that the legacy file needs to be converted.

Guru

Yeah in the post I linked it said it won't recognize anything patched with multipatch.

From what I understood with the .dmg file, that there was quite a few additional steps that need to be taken before it would work. That's why I figured it would be easier to use the mac version.

I'm sure the mac program is out there on the internet somewhere. I don't like recommending places to download unless I'm familiar with the site. If you can't find it just use WINE with the windows version of PPF-O-MATIC to patch it.

Also I would definitely listen to elric and try a different iso as well.

Xujints

I got it now. Thanks for your help guys, it's really appreciated.

Now I only have one other problem.There is one App I did to test to see if it was working, and found that it had no sound. Is there something I could do to fix that? (Thank goodness FFT JotF has sound)

victoraldecoa

Unfortunately PPF-OMatic for Mac is not working anymore. When I try to open the dmg it says "legacy image should be converted".

So I decided creating one, I hope it helps:
https://github.com/victoraldecoa/PPFApplier

Best regards,
Victor
  • Modding version: Other/Unknown

shan8090

I have downloaded Journey of the Five Chapter 1 v1.97e should I patch it to ps1 version or pap version
  • Modding version: Other/Unknown

Lionheart537

Quote from: shan8090 on September 10, 2017, 04:03:20 pm
I have downloaded Journey of the Five Chapter 1 v1.97e should I patch it to ps1 version or pap version

PS1...It's a great mod hope you enjoy it.
  • Modding version: PSX
It's not much yet but check out my spriting thread!
http://ffhacktics.com/smf/index.php?topic=11772.0
Here's a look at my vanilla mod thread, progressing one step at a time!
http://ffhacktics.com/smf/index.php?topic=11785.0

bloodafro

Heyo, so I haven't been around much over the last couple of years due to computer troubles. I'm back but with a mac. does anyone have any feedback on that mac patching tool victor created? Thanks in advance victor, i'm upgrading to sierra right now (because it need 10.12+)
Barkeep: What'll you have?
Man: What do ya got?
Barkeep: Horse beer and horse soft drinks
Man: Got any horse Coke?
Barkeep: Horse Pepsi ok?
Man:  NAYYYYY!

8lue

  • Modding version: Other/Unknown